net.fortuna.ical4j.model.property

## Class DateListProperty

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateListProperty

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExDate, RDate

    public abstract class DateListProperty
    extends Property

$Id$ Created on 11/08/2005 Base class for properties with a list of dates as a value.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`DateListProperty(String name, DateList dates, PropertyFactory factory)`
`DateListProperty(String name, ParameterList parameters, DateList dates, PropertyFactory factory)`
`DateListProperty(String name, ParameterList parameters, PropertyFactory factory)`
`DateListProperty(String name, PropertyFactory factory)`

### Method Summary

Methods
`Property` `copy()` Create a (deep) copy of this property.
`DateList` `getDates()`
`TimeZone` `getTimeZone()`
`String` `getValue()`
`void` `setTimeZone(TimeZone timezone)` Sets the timezone associated with this property.
`void` `setUtc(boolean utc)` Resets the timezone associated with the property.
`void` `setValue(String aValue)` Sets the current value of the property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateListProperty

    public DateListProperty(String name,
                    PropertyFactory factory)

Parameters:
  `name` - the property name

#### DateListProperty

    public DateListProperty(String name,
                    ParameterList parameters,
                    PropertyFactory factory)

Parameters:
  `name` - the property name
  `parameters` - property parameters

#### DateListProperty

    public DateListProperty(String name,
                    DateList dates,
                    PropertyFactory factory)

Parameters:
  `name` - the property name
  `dates` - a list of initial dates for the property

#### DateListProperty

    public DateListProperty(String name,
                    ParameterList parameters,
                    DateList dates,
                    PropertyFactory factory)

Parameters:
  `name` - the property name
  `parameters` - property parameters
  `dates` - a list of initial dates for the property

### Method Detail

#### getDates

    public final DateList getDates()

Returns:
  Returns the dates.

#### setValue

    public void setValue(String aValue)
                  throws ParseException

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value
Throws:
  `ParseException` - possibly thrown by setting the value of certain properties

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setTimeZone

    public void setTimeZone(TimeZone timezone)

Sets the timezone associated with this property.

Parameters:
  `timezone` - a timezone to associate with this property

#### getTimeZone

    public final TimeZone getTimeZone()

Returns:
  the timezone

#### setUtc

    public final void setUtc(boolean utc)

Resets the timezone associated with the property. If utc is true, any TZID parameters are removed and the Java timezone is updated to UTC time. If utc is false, TZID parameters are removed and the Java timezone is set to the default timezone (i.e. represents a "floating" local time)

Parameters:
  `utc` - the UTC value

#### copy

    public final Property copy()
                        throws IOException,
                               URISyntaxException,
                               ParseException

Create a (deep) copy of this property.

Overrides:
  `copy` in class `Property`
Returns:
  the copy of the property
Throws:
  `IOException` - where an error occurs reading property data
  `URISyntaxException` - where the property contains an invalid URI value
  `ParseException` - where the property contains an invalid date value